PYTHON-SQLEDIT(1)

NAME
sqledit - GUI to edit databases

SYNOPSIS
sqledit [options][nick][URI][-ttable][-m][-uURL][-d][-D] [-ffield_list][-l]

DESCRIPTION

sqledit is a GUI to edit database *data* (as opposed to database schemas). As sqledit is a GUI it's bettere explained in the html page, please visit http://sqlkit.argolinux.org/sqlkit/sqledit.html.

When opened with no options you are presented an entry to fill the database URI or a button to start a demo (if found on your system)

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

-l, --load
    Directly load data in tables when opened.

-f, --field_list
    only show the listed fields (comma separated list).

-n, --nick
    read options from nick definition (read NICKs below)

-u, --nick
    open the URL. Acceptable formats are any format acceptable by sqlalchemy:
    engine://user:pass@host/dbname
    Acceptable engines depend on which drivers you have in your systems. Have a look at http://www.sqlalchemy.org/trac/wiki/DatabaseNotes

-o, --order_by
    define the order by column

-m, --mask
    Open the sqltable with a mask (form) view.

-T, --sqltable
    Open the sqltable with a table view (default)

NICKs

Sqledit allows you to write nicks in file .sqleditdb. A nick looks like the following:
[film]
URL = sqlite:////home/sandro/src/django/siti/cinemino/cinemino.db

[banca]
URL = postgres://sandro:vicie@localhost:5432/banca
table = conti_banche
field_list = data tipo descrizione eu_in eu_out banca edit classe data_val
order_by = data

If you define a nick you can call sqledit simply as:

sqledit film sqledit film -t director

At present you need to edit the nick by hand

The programs are documented fully in the web site http://sqlkit.argolinux.org/sqlkit/sqledit.html

SQLKIT

Sqledit is just an application that shows the power of the python package sqlkit. Programming directly with python you can build much more interesting interfaces. The demo tour show what can be done in very few lines of code.

EXAMPLES

sqledit sqledit postgres://localhost/sia sqledit postgres://localhost/sia -m (opens a mask view)

TUTORIAL

You can read a tutorial on the main features of sqledit at http://sqlkit.argolinux.org/sqlkit/tutorial.html

AUTHOR
python-sqledit was written by Alssandro Dentella

This manual page was written by Alessandro Dentella <sandro@e-den.it>